import { OnInit, OnChanges, OnDestroy, TemplateRef, ElementRef, ComponentFactoryResolver, ViewContainerRef, SimpleChanges, EventEmitter } from '@angular/core';
import { NgxBootstrapPopup } from './ngx-bootstrap-popup';
import { IPopupOptions } from './shared';
export declare class NgxBootstrapPopoverDirective extends NgxBootstrapPopup implements OnInit, OnChanges, OnDestroy {
    popoverTitle: string | TemplateRef<any>;
    popoverContent: string | TemplateRef<any>;
    popoverEnabled: boolean;
    popoverDismissOnClickOutside: boolean;
    popoverOptions: IPopupOptions;
    popoverEvents: EventEmitter<Event>;
    constructor(elementRef: ElementRef, cfr: ComponentFactoryResolver, vcr: ViewContainerRef);
    readonly popupType: 'popover' | 'tooltip';
    readonly content: string | TemplateRef<any>;
    readonly title: string | TemplateRef<any>;
    readonly dismissOnClickOutside: boolean;
    readonly enabled: boolean;
    readonly options: IPopupOptions;
    ngOnChanges(changes: SimpleChanges): void;
}
